Уязвимость при обработке сертификатов в Qt

Дата публикации:
10.01.2008
Дата изменения:
10.01.2008
Всего просмотров:
1381
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
Спуфинг атака
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Qt 4.x
Уязвимые версии: Qt версии 4.3.0, 4.3.1 и 4.3.2

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки в механизме проверки подлинности сертификата в QSslSocket. Злоумышленник может заставить приложение, использующее QSslSocket, принять поддельный сертификат.

URL производителя: www.trolltech.com/products/qt

Решение: Установите последнюю версию 4.3.3 с сайта производителя.

или введите имя

CAPTCHA